GuideLab API

Create a quality standard

Create a new quality standard with a unique code (bronze, silver, gold, platinum, na) for the authenticated lab.

POST
/standards

Create a new quality standard with a unique code (bronze, silver, gold, platinum, na) for the authenticated lab.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/standards" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "code": "bronze"  }'
{  "standard": {    "id": "string",    "labId": "string",    "name": "string",    "code": "string",    "description": "string",    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty